Bug 507151 - Review Request: gfs-decker-fonts - GFS Decker Greek fonts
Review Request: gfs-decker-fonts - GFS Decker Greek fonts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 06:10 EDT by Nicolas Mailhot
Modified: 2009-06-26 23:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: 20090618-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 23:00:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-06-21 06:10:42 EDT
Spec URL: http://nim.fedorapeople.org/gfs-decker-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-decker-fonts-20090618-1.fc12.src.rpm
Description:

This typeface is a product of Deckersche Schriftgießere typefoundry owned by Rudolf Ludwig Decker (1804-1877) in Berlin, but it was frequently used in Greek editions by both Oxford and Cambridge University Press during the last decades of the 19th century. It was designed and cut before 1864, according to John Bowman, when a set of matrices was bought by OUP, although the type was not cast and used in England until 1882.

The typeface is an uncial design containing a case of capitals, and small capitals, too. The letters lack any sherifs although they retain their thick and thin strokes. It appeared as an alternate type of Byzantine tradition in mostly patristic texts.

The font was digitally designed by George D. Matthiopoulos and is freely available by GFS.

See also http://fedoraproject.org/wiki/GFS_Decker_fonts
Comment 1 Parag AN(पराग) 2009-06-22 01:47:26 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1428526
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
21689ad7d921f83a012e354d0f8563a6bee653c0  GFS_DECKER.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

APPROVED.
Comment 2 Nicolas Mailhot 2009-06-22 02:05:06 EDT
Awesome lighting-fast review++, thanks!

New Package CVS Request
=======================
Package Name: gfs-decker-fonts
Short Description: GFS Decker Greek fonts
Owners: nim
Branches: F-11
InitialCC: fonts-sig
Comment 3 Kevin Fenzi 2009-06-22 22:25:23 EDT
cvs done.
Comment 4 Fedora Update System 2009-06-23 13:15:18 EDT
gfs-decker-fonts-20090618-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gfs-decker-fonts-20090618-1.fc11
Comment 5 Fedora Update System 2009-06-26 23:00:12 EDT
gfs-decker-fonts-20090618-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.